[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#616621: nmu: for libsigsegv transition

Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: binnmu

libsigsegv in unstable changes soname for the library so all depending
packages need to be rebuild. The depwait is needed as 2.9-1 misses the
actual shared library by accident (#616576) so packages build against
that version will link against the static library. That's also the
reason clisp is needed as it was build against -1

I did a test-rebuild of asymptote to double-check it will be working
which was successfull.

Hope I did get the syntax right.

nmu clisp_2.49-2 . ALL . -m "Build against newer libsigsegv"
nmu gnu-smaltalk_3.2-1 . ALL . -m "Build against newer libsigsegv"
nmu asymptote_2.02-2 . ALL . -m "Build against newer libsigsegv"
nmu scheme2c_1993.3.15.2-10 . ALL . -m "Build against newer libsigsegv"

dw clisp_2.49-2 . ALL . -m 'libsigsegv (>= 2.9-2~)'
dw gnu-smaltalk_3.2-1 . ALL . -m 'libsigsegv (>= 2.9-2~)'
dw asymptote_2.02-2 . ALL . -m 'libsigsegv (>= 2.9-2~)'
dw scheme2c_1993.3.15.2-10 . ALL . -m 'libsigsegv (>= 2.9-2~)'



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Reply to: